Keyword
curl --request GET \
--url https://api.themoviedb.org/3/search/keyword \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/search/keyword"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/search/keyword', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"id": 1721,
"name": "fight"
},
{
"id": 4678,
"name": "stick fighting"
},
{
"id": 5380,
"name": "virtual fight"
},
{
"id": 14696,
"name": "bloody fight"
},
{
"id": 17977,
"name": "underground fighting"
},
{
"id": 18109,
"name": "knife fight"
},
{
"id": 68643,
"name": "food fight"
},
{
"id": 155464,
"name": "over-the-hill fighter"
},
{
"id": 155701,
"name": "cock fighting"
},
{
"id": 217041,
"name": "fight night"
},
{
"id": 217367,
"name": "tavern fight"
},
{
"id": 252315,
"name": "fight against the rich"
},
{
"id": 221838,
"name": "women fighters"
},
{
"id": 223071,
"name": "foo fighters"
},
{
"id": 168593,
"name": "fake fight"
},
{
"id": 256306,
"name": "fight for the fallen"
},
{
"id": 170703,
"name": "snowball fight"
},
{
"id": 224692,
"name": "fighting games"
},
{
"id": 225356,
"name": "epic fights"
},
{
"id": 174375,
"name": "resistance fighter"
}
],
"total_pages": 7,
"total_results": 130
}KEYWORDS
Keyword
This endpoint is used to get a keyword_id.
GET
/
3
/
search
/
keyword
Keyword
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
This is the keyword we want to search for in the database.
Example:
"fight"
Indicates which page of results to return. Default is the first page (1).
Example:
1
Response
200 - application/json
keyword
The current page number of the results returned by the API.
Example:
1
This is an array of objects where each object represents a unique entry related to the search query.
Show child attributes
Show child attributes
Example:
[
{ "id": 1721, "name": "fight" },
{ "id": 4678, "name": "stick fighting" },
{ "id": 5380, "name": "virtual fight" },
{ "id": 14696, "name": "bloody fight" },
{
"id": 17977,
"name": "underground fighting"
},
{ "id": 18109, "name": "knife fight" },
{ "id": 68643, "name": "food fight" },
{
"id": 155464,
"name": "over-the-hill fighter"
},
{ "id": 155701, "name": "cock fighting" },
{ "id": 217041, "name": "fight night" },
{ "id": 217367, "name": "tavern fight" },
{
"id": 252315,
"name": "fight against the rich"
},
{ "id": 221838, "name": "women fighters" },
{ "id": 223071, "name": "foo fighters" },
{ "id": 168593, "name": "fake fight" },
{
"id": 256306,
"name": "fight for the fallen"
},
{ "id": 170703, "name": "snowball fight" },
{ "id": 224692, "name": "fighting games" },
{ "id": 225356, "name": "epic fights" },
{
"id": 174375,
"name": "resistance fighter"
}
]
This field indicates the total number of pages available for the results.
Example:
7
This field shows the total count of results obtained from the search query.
Example:
130
⌘I